RCP(1) | General Commands Manual | RCP(1)

# NAME

`rcp` — remote file copy

# SYNOPSIS

`rcp` | [`-46p`] file1 file2

`rcp` | [`-46pr`] file ... directory

# DESCRIPTION

`rcp` copies files between machines. Each file or directory argument is either a remote file name of the form “rname@rhost:path”, or a local file name (containing no ‘:’ (colon) characters, or a ‘/’ (slash) before any ‘:’ (colon) characters).

The rhost can be an IPv4 or an IPv6 address string. Since IPv6 addresses already contain ‘:’ (colon) characters, an IPv6 address string must be enclosed between ‘[’ (left square bracket) and ‘]’ (right square bracket) characters. Otherwise, the first occurrence of a ‘:’ (colon) character would be interpreted as the separator between the rhost and the path. For example,

`[2001:DB8::800:200C:417A]:tmp/file`

Options:

`-4`
  Use IPv4 addresses only.
`-6`
  Use IPv6 addresses only.
`-p`
  The `-p` option causes `rcp` to attempt to preserve (duplicate) in its copies the modification times and modes of the source files, ignoring the umask. By default, the mode and owner of file2 are preserved if it already existed; otherwise the mode of the source file modified by the umask(2) on the destination host is used.
`-r`
  If any of the source files are directories, `rcp` copies each subtree rooted at that name; in this case the destination must be a directory.

If path is not a full path name, it is interpreted relative to the login directory of the specified user ruser on rhost, or your current user name if no other remote user name is specified. A path on a remote host may be quoted (using \, ", or ´) so that the metacharacters are interpreted remotely.

`rcp` does not prompt for passwords; it performs remote execution via rsh(1), and requires the same authorization.

`rcp` handles third party copies, where neither source nor target files are on the current machine.

# SEE ALSO

cp(1), ftp(1), rcmd(1), rlogin(1), rsh(1), rcmd(3), hosts.equiv(5), rhosts(5), environ(7)

# HISTORY

The `rcp` utility appeared in 4.2BSD. The version of `rcp` described here has been reimplemented with Kerberos in 4.3BSD-Reno.

# BUGS

Doesn't detect all cases where the target of a copy might be a file in cases where only a directory should be legal.

Is confused by any output generated by commands in a .login, .profile, or .cshrc file on the remote host.

The destination user and hostname may have to be specified as “rhost.rname” when the destination machine is running the 4.2BSD version of `rcp`.

March 8, 2005 | NetBSD 11.0